
_interrupt:

;PIC Clicker Accel Click.c,69 :: 		void interrupt() {
;PIC Clicker Accel Click.c,71 :: 		USB_Interrupt_Proc();                   // USB servicing is done inside the interrupt
	CALL        _USB_Interrupt_Proc+0, 0
;PIC Clicker Accel Click.c,72 :: 		}
L_end_interrupt:
L__interrupt35:
	RETFIE      1
; end of _interrupt

_clear_USB_buffers:

;PIC Clicker Accel Click.c,74 :: 		void clear_USB_buffers()
;PIC Clicker Accel Click.c,76 :: 		for (i=0; i<63;i++)
	CLRF        _i+0 
L_clear_USB_buffers0:
	MOVLW       63
	SUBWF       _i+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_clear_USB_buffers1
;PIC Clicker Accel Click.c,78 :: 		readbuff[i] = 0;
	MOVLW       _readbuff+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FSR1H 
	MOVF        _i+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;PIC Clicker Accel Click.c,79 :: 		writebuff[i] = 0;
	MOVLW       _writebuff+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FSR1H 
	MOVF        _i+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;PIC Clicker Accel Click.c,76 :: 		for (i=0; i<63;i++)
	INCF        _i+0, 1 
;PIC Clicker Accel Click.c,80 :: 		}
	GOTO        L_clear_USB_buffers0
L_clear_USB_buffers1:
;PIC Clicker Accel Click.c,81 :: 		}
L_end_clear_USB_buffers:
	RETURN      0
; end of _clear_USB_buffers

_read_button1:

;PIC Clicker Accel Click.c,83 :: 		char read_button1() {
;PIC Clicker Accel Click.c,84 :: 		if (Button(&PORTD, 3, 2, 0)) {               // Detect logical one
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       3
	MOVWF       FARG_Button_pin+0 
	MOVLW       2
	MOVWF       FARG_Button_time_ms+0 
	CLRF        FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_read_button13
;PIC Clicker Accel Click.c,85 :: 		return  1;                              // Update flag
	MOVLW       1
	MOVWF       R0 
	GOTO        L_end_read_button1
;PIC Clicker Accel Click.c,86 :: 		} else return 0;
L_read_button13:
	CLRF        R0 
;PIC Clicker Accel Click.c,87 :: 		}
L_end_read_button1:
	RETURN      0
; end of _read_button1

_read_button2:

;PIC Clicker Accel Click.c,89 :: 		char read_button2() {
;PIC Clicker Accel Click.c,90 :: 		if (Button(&PORTD, 2, 2, 0)) {               // Detect logical one
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       2
	MOVWF       FARG_Button_pin+0 
	MOVLW       2
	MOVWF       FARG_Button_time_ms+0 
	CLRF        FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_read_button25
;PIC Clicker Accel Click.c,91 :: 		return  2;                              // Update flag
	MOVLW       2
	MOVWF       R0 
	GOTO        L_end_read_button2
;PIC Clicker Accel Click.c,92 :: 		} else return 0;
L_read_button25:
	CLRF        R0 
;PIC Clicker Accel Click.c,93 :: 		}
L_end_read_button2:
	RETURN      0
; end of _read_button2

_ADXL345_Write:

;PIC Clicker Accel Click.c,95 :: 		void ADXL345_Write(unsigned short address, unsigned short data1) {
;PIC Clicker Accel Click.c,96 :: 		I2C2_Start();              // issue I2C start signal
	CALL        _I2C2_Start+0, 0
;PIC Clicker Accel Click.c,97 :: 		I2C2_Wr(_ACCEL_ADDRESS);   // send byte via I2C  (device address + W)
	MOVLW       58
	MOVWF       FARG_I2C2_Wr_data_+0 
	CALL        _I2C2_Wr+0, 0
;PIC Clicker Accel Click.c,98 :: 		I2C2_Wr(address);          // send byte (address of the location)
	MOVF        FARG_ADXL345_Write_address+0, 0 
	MOVWF       FARG_I2C2_Wr_data_+0 
	CALL        _I2C2_Wr+0, 0
;PIC Clicker Accel Click.c,99 :: 		I2C2_Wr(data1);            // send data (data to be written)
	MOVF        FARG_ADXL345_Write_data1+0, 0 
	MOVWF       FARG_I2C2_Wr_data_+0 
	CALL        _I2C2_Wr+0, 0
;PIC Clicker Accel Click.c,100 :: 		I2C2_Stop();               // issue I2C stop signal
	CALL        _I2C2_Stop+0, 0
;PIC Clicker Accel Click.c,101 :: 		}
L_end_ADXL345_Write:
	RETURN      0
; end of _ADXL345_Write

_ADXL345_Read:

;PIC Clicker Accel Click.c,103 :: 		unsigned short ADXL345_Read(unsigned short address) {
;PIC Clicker Accel Click.c,104 :: 		unsigned short tmp = 0;
	CLRF        ADXL345_Read_tmp_L0+0 
;PIC Clicker Accel Click.c,106 :: 		I2C2_Start();              // issue I2C start signal
	CALL        _I2C2_Start+0, 0
;PIC Clicker Accel Click.c,107 :: 		I2C2_Wr(_ACCEL_ADDRESS);   // send byte via I2C (device address + W)
	MOVLW       58
	MOVWF       FARG_I2C2_Wr_data_+0 
	CALL        _I2C2_Wr+0, 0
;PIC Clicker Accel Click.c,108 :: 		I2C2_Wr(address);          // send byte (data address)
	MOVF        FARG_ADXL345_Read_address+0, 0 
	MOVWF       FARG_I2C2_Wr_data_+0 
	CALL        _I2C2_Wr+0, 0
;PIC Clicker Accel Click.c,110 :: 		I2C2_Start();              // issue I2C signal repeated start
	CALL        _I2C2_Start+0, 0
;PIC Clicker Accel Click.c,111 :: 		I2C2_Wr(_ACCEL_ADDRESS+1); // send byte (device address + R)
	MOVLW       59
	MOVWF       FARG_I2C2_Wr_data_+0 
	CALL        _I2C2_Wr+0, 0
;PIC Clicker Accel Click.c,112 :: 		tmp = I2C2_Rd(0);          // Read the data (NO acknowledge)
	CLRF        FARG_I2C2_Rd_ack+0 
	CALL        _I2C2_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       ADXL345_Read_tmp_L0+0 
;PIC Clicker Accel Click.c,113 :: 		I2C2_Stop();               // issue I2C stop signal
	CALL        _I2C2_Stop+0, 0
;PIC Clicker Accel Click.c,115 :: 		return tmp;
	MOVF        ADXL345_Read_tmp_L0+0, 0 
	MOVWF       R0 
;PIC Clicker Accel Click.c,116 :: 		}
L_end_ADXL345_Read:
	RETURN      0
; end of _ADXL345_Read

_ADXL345_Init:

;PIC Clicker Accel Click.c,118 :: 		char ADXL345_Init(void) {
;PIC Clicker Accel Click.c,119 :: 		char id = 0x00;
;PIC Clicker Accel Click.c,122 :: 		ADXL345_Write(0x2D, 0x00);
	MOVLW       45
	MOVWF       FARG_ADXL345_Write_address+0 
	CLRF        FARG_ADXL345_Write_data1+0 
	CALL        _ADXL345_Write+0, 0
;PIC Clicker Accel Click.c,124 :: 		id = ADXL345_Read(0x00);
	CLRF        FARG_ADXL345_Read_address+0 
	CALL        _ADXL345_Read+0, 0
;PIC Clicker Accel Click.c,125 :: 		if (id != 0xE5) {
	MOVF        R0, 0 
	XORLW       229
	BTFSC       STATUS+0, 2 
	GOTO        L_ADXL345_Init7
;PIC Clicker Accel Click.c,126 :: 		return _ACCEL_ERROR;
	MOVLW       2
	MOVWF       R0 
	GOTO        L_end_ADXL345_Init
;PIC Clicker Accel Click.c,127 :: 		}
L_ADXL345_Init7:
;PIC Clicker Accel Click.c,129 :: 		ADXL345_Write(_DATA_FORMAT, 0x08);       // Full resolution, +/-2g, 4mg/LSB, right justified
	MOVLW       49
	MOVWF       FARG_ADXL345_Write_address+0 
	MOVLW       8
	MOVWF       FARG_ADXL345_Write_data1+0 
	CALL        _ADXL345_Write+0, 0
;PIC Clicker Accel Click.c,130 :: 		ADXL345_Write(_BW_RATE, 0x0A);           // Set 100 Hz data rate
	MOVLW       44
	MOVWF       FARG_ADXL345_Write_address+0 
	MOVLW       10
	MOVWF       FARG_ADXL345_Write_data1+0 
	CALL        _ADXL345_Write+0, 0
;PIC Clicker Accel Click.c,131 :: 		ADXL345_Write(_FIFO_CTL, 0x80);          // stream mode
	MOVLW       56
	MOVWF       FARG_ADXL345_Write_address+0 
	MOVLW       128
	MOVWF       FARG_ADXL345_Write_data1+0 
	CALL        _ADXL345_Write+0, 0
;PIC Clicker Accel Click.c,132 :: 		ADXL345_Write(_POWER_CTL, 0x08);         // POWER_CTL reg: measurement mode
	MOVLW       45
	MOVWF       FARG_ADXL345_Write_address+0 
	MOVLW       8
	MOVWF       FARG_ADXL345_Write_data1+0 
	CALL        _ADXL345_Write+0, 0
;PIC Clicker Accel Click.c,133 :: 		return 0x00;
	CLRF        R0 
;PIC Clicker Accel Click.c,135 :: 		}
L_end_ADXL345_Init:
	RETURN      0
; end of _ADXL345_Init

_Accel_ReadX:

;PIC Clicker Accel Click.c,138 :: 		int Accel_ReadX(void) {
;PIC Clicker Accel Click.c,142 :: 		Out_x = ADXL345_Read(_DATAX1);
	MOVLW       51
	MOVWF       FARG_ADXL345_Read_address+0 
	CALL        _ADXL345_Read+0, 0
	MOVF        R0, 0 
	MOVWF       Accel_ReadX_Out_x_L0+0 
	MOVLW       0
	MOVWF       Accel_ReadX_Out_x_L0+1 
;PIC Clicker Accel Click.c,143 :: 		low_byte = ADXL345_Read(_DATAX0);
	MOVLW       50
	MOVWF       FARG_ADXL345_Read_address+0 
	CALL        _ADXL345_Read+0, 0
;PIC Clicker Accel Click.c,145 :: 		Out_x = (Out_x << 8);
	MOVF        Accel_ReadX_Out_x_L0+0, 0 
	MOVWF       R3 
	CLRF        R2 
	MOVF        R2, 0 
	MOVWF       Accel_ReadX_Out_x_L0+0 
	MOVF        R3, 0 
	MOVWF       Accel_ReadX_Out_x_L0+1 
;PIC Clicker Accel Click.c,146 :: 		Out_x = (Out_x | low_byte);
	MOVLW       0
	MOVWF       R1 
	MOVF        R2, 0 
	IORWF       R0, 1 
	MOVF        R3, 0 
	IORWF       R1, 1 
	MOVF        R0, 0 
	MOVWF       Accel_ReadX_Out_x_L0+0 
	MOVF        R1, 0 
	MOVWF       Accel_ReadX_Out_x_L0+1 
;PIC Clicker Accel Click.c,148 :: 		return Out_x;
;PIC Clicker Accel Click.c,149 :: 		}
L_end_Accel_ReadX:
	RETURN      0
; end of _Accel_ReadX

_Accel_ReadY:

;PIC Clicker Accel Click.c,152 :: 		int Accel_ReadY(void) {
;PIC Clicker Accel Click.c,156 :: 		Out_y = ADXL345_Read(_DATAY1);
	MOVLW       53
	MOVWF       FARG_ADXL345_Read_address+0 
	CALL        _ADXL345_Read+0, 0
	MOVF        R0, 0 
	MOVWF       Accel_ReadY_Out_y_L0+0 
	MOVLW       0
	MOVWF       Accel_ReadY_Out_y_L0+1 
;PIC Clicker Accel Click.c,157 :: 		low_byte = ADXL345_Read(_DATAY0);
	MOVLW       52
	MOVWF       FARG_ADXL345_Read_address+0 
	CALL        _ADXL345_Read+0, 0
;PIC Clicker Accel Click.c,159 :: 		Out_y = (Out_y << 8);
	MOVF        Accel_ReadY_Out_y_L0+0, 0 
	MOVWF       R3 
	CLRF        R2 
	MOVF        R2, 0 
	MOVWF       Accel_ReadY_Out_y_L0+0 
	MOVF        R3, 0 
	MOVWF       Accel_ReadY_Out_y_L0+1 
;PIC Clicker Accel Click.c,160 :: 		Out_y = (Out_y | low_byte);
	MOVLW       0
	MOVWF       R1 
	MOVF        R2, 0 
	IORWF       R0, 1 
	MOVF        R3, 0 
	IORWF       R1, 1 
	MOVF        R0, 0 
	MOVWF       Accel_ReadY_Out_y_L0+0 
	MOVF        R1, 0 
	MOVWF       Accel_ReadY_Out_y_L0+1 
;PIC Clicker Accel Click.c,162 :: 		return Out_y;
;PIC Clicker Accel Click.c,163 :: 		}
L_end_Accel_ReadY:
	RETURN      0
; end of _Accel_ReadY

_Accel_ReadZ:

;PIC Clicker Accel Click.c,166 :: 		int Accel_ReadZ(void) {
;PIC Clicker Accel Click.c,170 :: 		Out_z = ADXL345_Read(_DATAZ1);
	MOVLW       55
	MOVWF       FARG_ADXL345_Read_address+0 
	CALL        _ADXL345_Read+0, 0
	MOVF        R0, 0 
	MOVWF       Accel_ReadZ_Out_z_L0+0 
	MOVLW       0
	MOVWF       Accel_ReadZ_Out_z_L0+1 
;PIC Clicker Accel Click.c,171 :: 		low_byte = ADXL345_Read(_DATAZ0);
	MOVLW       54
	MOVWF       FARG_ADXL345_Read_address+0 
	CALL        _ADXL345_Read+0, 0
;PIC Clicker Accel Click.c,173 :: 		Out_z = (Out_z << 8);
	MOVF        Accel_ReadZ_Out_z_L0+0, 0 
	MOVWF       R3 
	CLRF        R2 
	MOVF        R2, 0 
	MOVWF       Accel_ReadZ_Out_z_L0+0 
	MOVF        R3, 0 
	MOVWF       Accel_ReadZ_Out_z_L0+1 
;PIC Clicker Accel Click.c,174 :: 		Out_z = (Out_z | low_byte);
	MOVLW       0
	MOVWF       R1 
	MOVF        R2, 0 
	IORWF       R0, 1 
	MOVF        R3, 0 
	IORWF       R1, 1 
	MOVF        R0, 0 
	MOVWF       Accel_ReadZ_Out_z_L0+0 
	MOVF        R1, 0 
	MOVWF       Accel_ReadZ_Out_z_L0+1 
;PIC Clicker Accel Click.c,176 :: 		return Out_z;
;PIC Clicker Accel Click.c,177 :: 		}
L_end_Accel_ReadZ:
	RETURN      0
; end of _Accel_ReadZ

_Accel_Average:

;PIC Clicker Accel Click.c,180 :: 		void Accel_Average(void) {
;PIC Clicker Accel Click.c,184 :: 		sx = sy = sz = 0;
	CLRF        Accel_Average_sz_L0+0 
	CLRF        Accel_Average_sz_L0+1 
	CLRF        Accel_Average_sy_L0+0 
	CLRF        Accel_Average_sy_L0+1 
	CLRF        Accel_Average_sx_L0+0 
	CLRF        Accel_Average_sx_L0+1 
;PIC Clicker Accel Click.c,187 :: 		for (i=0; i<16; i++) {
	CLRF        Accel_Average_i_L0+0 
	CLRF        Accel_Average_i_L0+1 
L_Accel_Average9:
	MOVLW       128
	XORWF       Accel_Average_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Accel_Average46
	MOVLW       16
	SUBWF       Accel_Average_i_L0+0, 0 
L__Accel_Average46:
	BTFSC       STATUS+0, 0 
	GOTO        L_Accel_Average10
;PIC Clicker Accel Click.c,188 :: 		sx += Accel_ReadX();
	CALL        _Accel_ReadX+0, 0
	MOVF        R0, 0 
	ADDWF       Accel_Average_sx_L0+0, 1 
	MOVF        R1, 0 
	ADDWFC      Accel_Average_sx_L0+1, 1 
;PIC Clicker Accel Click.c,189 :: 		sy += Accel_ReadY();
	CALL        _Accel_ReadY+0, 0
	MOVF        R0, 0 
	ADDWF       Accel_Average_sy_L0+0, 1 
	MOVF        R1, 0 
	ADDWFC      Accel_Average_sy_L0+1, 1 
;PIC Clicker Accel Click.c,190 :: 		sz += Accel_ReadZ();
	CALL        _Accel_ReadZ+0, 0
	MOVF        R0, 0 
	ADDWF       Accel_Average_sz_L0+0, 1 
	MOVF        R1, 0 
	ADDWFC      Accel_Average_sz_L0+1, 1 
;PIC Clicker Accel Click.c,187 :: 		for (i=0; i<16; i++) {
	INFSNZ      Accel_Average_i_L0+0, 1 
	INCF        Accel_Average_i_L0+1, 1 
;PIC Clicker Accel Click.c,191 :: 		}
	GOTO        L_Accel_Average9
L_Accel_Average10:
;PIC Clicker Accel Click.c,193 :: 		readings[0] = sx >> 4;
	MOVLW       4
	MOVWF       R0 
	MOVF        Accel_Average_sx_L0+0, 0 
	MOVWF       _readings+0 
	MOVF        Accel_Average_sx_L0+1, 0 
	MOVWF       _readings+1 
	MOVF        R0, 0 
L__Accel_Average47:
	BZ          L__Accel_Average48
	RRCF        _readings+1, 1 
	RRCF        _readings+0, 1 
	BCF         _readings+1, 7 
	BTFSC       _readings+1, 6 
	BSF         _readings+1, 7 
	ADDLW       255
	GOTO        L__Accel_Average47
L__Accel_Average48:
;PIC Clicker Accel Click.c,194 :: 		readings[1] = sy >> 4;
	MOVLW       4
	MOVWF       R0 
	MOVF        Accel_Average_sy_L0+0, 0 
	MOVWF       _readings+2 
	MOVF        Accel_Average_sy_L0+1, 0 
	MOVWF       _readings+3 
	MOVF        R0, 0 
L__Accel_Average49:
	BZ          L__Accel_Average50
	RRCF        _readings+3, 1 
	RRCF        _readings+2, 1 
	BCF         _readings+3, 7 
	BTFSC       _readings+3, 6 
	BSF         _readings+3, 7 
	ADDLW       255
	GOTO        L__Accel_Average49
L__Accel_Average50:
;PIC Clicker Accel Click.c,195 :: 		readings[2] = sz >> 4;
	MOVLW       4
	MOVWF       R0 
	MOVF        Accel_Average_sz_L0+0, 0 
	MOVWF       _readings+4 
	MOVF        Accel_Average_sz_L0+1, 0 
	MOVWF       _readings+5 
	MOVF        R0, 0 
L__Accel_Average51:
	BZ          L__Accel_Average52
	RRCF        _readings+5, 1 
	RRCF        _readings+4, 1 
	BCF         _readings+5, 7 
	BTFSC       _readings+5, 6 
	BSF         _readings+5, 7 
	ADDLW       255
	GOTO        L__Accel_Average51
L__Accel_Average52:
;PIC Clicker Accel Click.c,197 :: 		}
L_end_Accel_Average:
	RETURN      0
; end of _Accel_Average

_AccelInit:

;PIC Clicker Accel Click.c,199 :: 		void AccelInit(){
;PIC Clicker Accel Click.c,201 :: 		if (ADXL345_Init() == 0) {
	CALL        _ADXL345_Init+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_AccelInit12
;PIC Clicker Accel Click.c,203 :: 		Delay_ms(2000);
	MOVLW       41
	MOVWF       R11, 0
	MOVLW       150
	MOVWF       R12, 0
	MOVLW       127
	MOVWF       R13, 0
L_AccelInit13:
	DECFSZ      R13, 1, 1
	BRA         L_AccelInit13
	DECFSZ      R12, 1, 1
	BRA         L_AccelInit13
	DECFSZ      R11, 1, 1
	BRA         L_AccelInit13
;PIC Clicker Accel Click.c,204 :: 		}
	GOTO        L_AccelInit14
L_AccelInit12:
;PIC Clicker Accel Click.c,207 :: 		Delay_ms(2000);
	MOVLW       41
	MOVWF       R11, 0
	MOVLW       150
	MOVWF       R12, 0
	MOVLW       127
	MOVWF       R13, 0
L_AccelInit15:
	DECFSZ      R13, 1, 1
	BRA         L_AccelInit15
	DECFSZ      R12, 1, 1
	BRA         L_AccelInit15
	DECFSZ      R11, 1, 1
	BRA         L_AccelInit15
;PIC Clicker Accel Click.c,208 :: 		}
L_AccelInit14:
;PIC Clicker Accel Click.c,209 :: 		}
L_end_AccelInit:
	RETURN      0
; end of _AccelInit

_load_X:

;PIC Clicker Accel Click.c,211 :: 		void load_X() {
;PIC Clicker Accel Click.c,213 :: 		for (i =0;i <10;i++) {
	CLRF        _i+0 
L_load_X16:
	MOVLW       10
	SUBWF       _i+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_load_X17
;PIC Clicker Accel Click.c,214 :: 		writebuff[1+i]= out[i];
	MOVF        _i+0, 0 
	ADDLW       1
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVLW       _writebuff+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_writebuff+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVLW       _out+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_out+0)
	MOVWF       FSR0H 
	MOVF        _i+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;PIC Clicker Accel Click.c,213 :: 		for (i =0;i <10;i++) {
	INCF        _i+0, 1 
;PIC Clicker Accel Click.c,215 :: 		}
	GOTO        L_load_X16
L_load_X17:
;PIC Clicker Accel Click.c,216 :: 		}
L_end_load_X:
	RETURN      0
; end of _load_X

_load_Y:

;PIC Clicker Accel Click.c,218 :: 		void load_Y() {
;PIC Clicker Accel Click.c,220 :: 		for (i =0;i <10;i++) {
	CLRF        _i+0 
L_load_Y19:
	MOVLW       10
	SUBWF       _i+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_load_Y20
;PIC Clicker Accel Click.c,221 :: 		writebuff[11+i]= out[i];
	MOVF        _i+0, 0 
	ADDLW       11
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVLW       _writebuff+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_writebuff+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVLW       _out+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_out+0)
	MOVWF       FSR0H 
	MOVF        _i+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;PIC Clicker Accel Click.c,220 :: 		for (i =0;i <10;i++) {
	INCF        _i+0, 1 
;PIC Clicker Accel Click.c,222 :: 		}
	GOTO        L_load_Y19
L_load_Y20:
;PIC Clicker Accel Click.c,223 :: 		}
L_end_load_Y:
	RETURN      0
; end of _load_Y

_load_Z:

;PIC Clicker Accel Click.c,225 :: 		void load_Z() {
;PIC Clicker Accel Click.c,227 :: 		for (i =0;i <10;i++) {
	CLRF        _i+0 
L_load_Z22:
	MOVLW       10
	SUBWF       _i+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_load_Z23
;PIC Clicker Accel Click.c,228 :: 		writebuff[21+i]= out[i];
	MOVF        _i+0, 0 
	ADDLW       21
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVLW       _writebuff+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_writebuff+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVLW       _out+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_out+0)
	MOVWF       FSR0H 
	MOVF        _i+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;PIC Clicker Accel Click.c,227 :: 		for (i =0;i <10;i++) {
	INCF        _i+0, 1 
;PIC Clicker Accel Click.c,229 :: 		}
	GOTO        L_load_Z22
L_load_Z23:
;PIC Clicker Accel Click.c,230 :: 		}
L_end_load_Z:
	RETURN      0
; end of _load_Z

_main:

;PIC Clicker Accel Click.c,232 :: 		void main(){
;PIC Clicker Accel Click.c,233 :: 		long cnt = 0;
;PIC Clicker Accel Click.c,235 :: 		ANCON0 = 0xFF;               // Default all pins to digital
	MOVLW       255
	MOVWF       ANCON0+0 
;PIC Clicker Accel Click.c,236 :: 		ANCON1 = 0x1F;               //
	MOVLW       31
	MOVWF       ANCON1+0 
;PIC Clicker Accel Click.c,237 :: 		TRISD = 0;
	CLRF        TRISD+0 
;PIC Clicker Accel Click.c,238 :: 		TRISB = 0;
	CLRF        TRISB+0 
;PIC Clicker Accel Click.c,239 :: 		TRISA = 0;
	CLRF        TRISA+0 
;PIC Clicker Accel Click.c,240 :: 		RCSTA1 = 1;
	MOVLW       1
	MOVWF       RCSTA1+0 
;PIC Clicker Accel Click.c,243 :: 		T1_Direction = 1;         // Set direction for buttons
	BSF         TRISD3_bit+0, BitPos(TRISD3_bit+0) 
;PIC Clicker Accel Click.c,244 :: 		T2_Direction = 1;
	BSF         TRISD2_bit+0, BitPos(TRISD2_bit+0) 
;PIC Clicker Accel Click.c,246 :: 		LD1_Direction = 0;        // Set direction for LEDS
	BCF         TRISA0_bit+0, BitPos(TRISA0_bit+0) 
;PIC Clicker Accel Click.c,247 :: 		LD2_Direction = 0;
	BCF         TRISA1_bit+0, BitPos(TRISA1_bit+0) 
;PIC Clicker Accel Click.c,248 :: 		LD1 = 0;
	BCF         LATA0_bit+0, BitPos(LATA0_bit+0) 
;PIC Clicker Accel Click.c,249 :: 		LD2 = 0;                 // turn off leds
	BCF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;PIC Clicker Accel Click.c,251 :: 		ACCEL_CS_Dir = 0;
	BCF         TRISB3_bit+0, BitPos(TRISB3_bit+0) 
;PIC Clicker Accel Click.c,252 :: 		ACCEL_CS = 1;
	BSF         RB3_bit+0, BitPos(RB3_bit+0) 
;PIC Clicker Accel Click.c,254 :: 		I2C2_Init(50000);                     // performs I2C initialization
	MOVLW       80
	MOVWF       SSP2ADD+0 
	CALL        _I2C2_Init+0, 0
;PIC Clicker Accel Click.c,255 :: 		Delay_ms(1000);
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_main25:
	DECFSZ      R13, 1, 1
	BRA         L_main25
	DECFSZ      R12, 1, 1
	BRA         L_main25
	DECFSZ      R11, 1, 1
	BRA         L_main25
	NOP
;PIC Clicker Accel Click.c,256 :: 		AccelInit();
	CALL        _AccelInit+0, 0
;PIC Clicker Accel Click.c,257 :: 		Delay_ms(150);
	MOVLW       4
	MOVWF       R11, 0
	MOVLW       12
	MOVWF       R12, 0
	MOVLW       51
	MOVWF       R13, 0
L_main26:
	DECFSZ      R13, 1, 1
	BRA         L_main26
	DECFSZ      R12, 1, 1
	BRA         L_main26
	DECFSZ      R11, 1, 1
	BRA         L_main26
	NOP
	NOP
;PIC Clicker Accel Click.c,260 :: 		clear_USB_buffers();
	CALL        _clear_USB_buffers+0, 0
;PIC Clicker Accel Click.c,261 :: 		HID_Enable(&readbuff,&writebuff);       // Enable HID communication
	MOVLW       _readbuff+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;PIC Clicker Accel Click.c,264 :: 		while (1){
L_main27:
;PIC Clicker Accel Click.c,265 :: 		Accel_Average();               // Calculate average X, Y and Z reads
	CALL        _Accel_Average+0, 0
;PIC Clicker Accel Click.c,267 :: 		kk = HID_Read();
	CALL        _HID_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _kk+0 
;PIC Clicker Accel Click.c,268 :: 		if (kk != 0)
	MOVF        R0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main29
;PIC Clicker Accel Click.c,271 :: 		IntToStr(readings[0], out);
	MOVF        _readings+0, 0 
	MOVWF       FARG_IntToStr_input+0 
	MOVF        _readings+1, 0 
	MOVWF       FARG_IntToStr_input+1 
	MOVLW       _out+0
	MOVWF       FARG_IntToStr_output+0 
	MOVLW       hi_addr(_out+0)
	MOVWF       FARG_IntToStr_output+1 
	CALL        _IntToStr+0, 0
;PIC Clicker Accel Click.c,272 :: 		load_X();                            //Loads Temp into HID Buffer
	CALL        _load_X+0, 0
;PIC Clicker Accel Click.c,273 :: 		IntToStr(readings[1], out);
	MOVF        _readings+2, 0 
	MOVWF       FARG_IntToStr_input+0 
	MOVF        _readings+3, 0 
	MOVWF       FARG_IntToStr_input+1 
	MOVLW       _out+0
	MOVWF       FARG_IntToStr_output+0 
	MOVLW       hi_addr(_out+0)
	MOVWF       FARG_IntToStr_output+1 
	CALL        _IntToStr+0, 0
;PIC Clicker Accel Click.c,274 :: 		load_Y();                            //Loads Temp into HID Buffer
	CALL        _load_Y+0, 0
;PIC Clicker Accel Click.c,275 :: 		IntToStr(readings[2], out);
	MOVF        _readings+4, 0 
	MOVWF       FARG_IntToStr_input+0 
	MOVF        _readings+5, 0 
	MOVWF       FARG_IntToStr_input+1 
	MOVLW       _out+0
	MOVWF       FARG_IntToStr_output+0 
	MOVLW       hi_addr(_out+0)
	MOVWF       FARG_IntToStr_output+1 
	CALL        _IntToStr+0, 0
;PIC Clicker Accel Click.c,276 :: 		load_Z();                            //Loads Temp into HID Buffer
	CALL        _load_Z+0, 0
;PIC Clicker Accel Click.c,278 :: 		if ((readbuff[0] & 0x01 )> 0) {
	MOVLW       1
	ANDWF       1280, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_main30
;PIC Clicker Accel Click.c,279 :: 		LD1 = 1;
	BSF         LATA0_bit+0, BitPos(LATA0_bit+0) 
;PIC Clicker Accel Click.c,280 :: 		}  else LD1 = 0;
	GOTO        L_main31
L_main30:
	BCF         LATA0_bit+0, BitPos(LATA0_bit+0) 
L_main31:
;PIC Clicker Accel Click.c,281 :: 		if ((readbuff[0] & 0x02 )> 0) {
	MOVLW       2
	ANDWF       1280, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_main32
;PIC Clicker Accel Click.c,282 :: 		LD2 = 1;
	BSF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;PIC Clicker Accel Click.c,283 :: 		}  else LD2 = 0;
	GOTO        L_main33
L_main32:
	BCF         LATA1_bit+0, BitPos(LATA1_bit+0) 
L_main33:
;PIC Clicker Accel Click.c,285 :: 		writebuff[0]=0;
	CLRF        1344 
;PIC Clicker Accel Click.c,286 :: 		writebuff[0] = writebuff[0] | read_button1() ;
	CALL        _read_button1+0, 0
	MOVF        R0, 0 
	IORWF       1344, 1 
;PIC Clicker Accel Click.c,287 :: 		writebuff[0] = writebuff[0] | read_button2() ;
	CALL        _read_button2+0, 0
	MOVF        R0, 0 
	IORWF       1344, 1 
;PIC Clicker Accel Click.c,289 :: 		HID_Write(&writebuff,64);
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       64
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
;PIC Clicker Accel Click.c,290 :: 		}
L_main29:
;PIC Clicker Accel Click.c,291 :: 		}
	GOTO        L_main27
;PIC Clicker Accel Click.c,292 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
